Bug 1882066 - [ovn][upgrade][4.4]Failed to upgrade for ovn network plugin
Summary: [ovn][upgrade][4.4]Failed to upgrade for ovn network plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.z
Assignee: Ben Bennett
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1874928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 18:16 UTC by Ben Bennett
Modified: 2021-04-05 17:47 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1874928
Environment:
Last Closed: 2020-10-01 17:50:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 283 0 None closed Bug 1882066: Pin 4.4 OVN to 20.06.2-4.el7fdp 2020-10-02 10:58:40 UTC
Red Hat Product Errata RHBA-2020:3764 0 None None None 2020-10-01 17:50:28 UTC

Comment 1 Alexander Constantinescu 2020-09-23 18:53:51 UTC
Removing dependency on 1882092, since it's more the other way around.

Comment 4 Anurag saxena 2020-09-24 16:02:53 UTC
Version looks as what we see in merged PR

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-09-24-095123   True        False         28m     Cluster version is 4.4.0-0.nightly-2020-09-24-095123

$ oc rsh ovnkube-master-zs4s7
Defaulting container name to northd.
Use 'oc describe pod/ovnkube-master-zs4s7 -n openshift-ovn-kubernetes' to see all of the containers in this pod.
sh-4.2# rpm -qa |grep -i ovn
ovn2.13-20.06.2-4.el7fdp.x86_64
ovn2.13-central-20.06.2-4.el7fdp.x86_64
ovn2.13-host-20.06.2-4.el7fdp.x86_64
ovn2.13-vtep-20.06.2-4.el7fdp.x86_64
sh-4.2# exit
exit

Comment 5 zhaozhanqi 2020-09-25 07:12:01 UTC
Verified this bug on 4.4.0-0.nightly-2020-09-24-222539

Comment 7 errata-xmlrpc 2020-10-01 17:50:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.26 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3764

Comment 8 W. Trevor King 2021-04-05 17:47:58 UTC
Removing UpgradeBlocker from this older bug, to remove it from the suspect queue described in [1].  If you feel like this bug still needs to be a suspect, please add keyword again.

[1]: https://github.com/openshift/enhancements/pull/475


Note You need to log in before you can comment on or make changes to this bug.